##
##  wcd.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2021 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         wcd
Summary:      Wherever Change Directory
URL:          https://waterlan.home.xs4all.nl/
Vendor:       Erwin Waterlander
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Terminal
License:      GPL
Version:      6.0.4
Release:      20211031

#   list of sources
Source0:      https://waterlan.home.xs4all.nl/wcd/wcd-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, make
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  ncurses, libiconv, gettext
PreReq:       ncurses, libiconv, gettext

%description
    WCD is another Norton Change Directory (NCD) clone for Unix -- with
    more features. WCD is a program to change directory fast. It saves
    time typing at the keyboard. One needs to type only a part of a
    directory name and WCD will jump to it. By default WCD searches for
    a directory with a name that begins with what has been typed, but
    the use of wildcards is also fully supported.

%track
    prog wcd = {
        version   = %{version}
        url       = https://waterlan.home.xs4all.nl/
        regex     = wcd-(\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q

%build
    cd src
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc}" \
        NCFLAG="%{l_cppflags ncurses .}" \
        NLFLAG="%{l_ldflags} -lintl -liconv"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        src/wcd.exe $RPM_BUILD_ROOT%{l_prefix}/bin/wcd
    %{l_shtool} install -c -m 644 \
        src/man/man1/wcd.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/wcd.1
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

